<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".views.TasksActivity">

    <androidx.appcompat.widget.Toolbar
        android:layout_width="match_parent"
        android:layout_height="@dimen/dimen_50dp"
        android:background="@drawable/drawable_maintxtbg">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="left"

            android:orientation="horizontal">

            <ImageView
                android:id="@+id/imgback"
                android:layout_width="@dimen/dimen_50dp"
                android:layout_height="@dimen/dimen_50dp"
                android:layout_gravity="right"
                android:layout_alignParentLeft="true"
                android:padding="@dimen/dimen_10dp"
                android:visibility="visible"
                app:srcCompat="@drawable/ic_arrow_back_"
                />



            <TextView

                android:id="@+id/txtprofile"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:gravity="center"
                android:text="Opening/new liabilities"
                android:textColor="@android:color/white"
                android:textSize="@dimen/dimen_15sp"


                android:layout_alignParentLeft="true"
                android:layout_marginLeft="@dimen/dimen_50dp"
                android:layout_centerVertical="true"



                />


            <TextView
                android:id="@+id/txtloan"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"

                android:visibility="gone"
                android:textColor="@color/white"
                android:textSize="@dimen/dimen_15sp"
                android:padding="@dimen/dimen_4dp"


                android:text="Add loan"
                android:layout_marginRight="@dimen/dimen_15dp"
                android:layout_alignParentRight="true"
                android:background="@drawable/drawable_roundbg"
              />




        </RelativeLayout>


    </androidx.appcompat.widget.Toolbar>



    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="0.3">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">





            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">




                <LinearLayout
                    android:id="@+id/layoutStatus"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/dimen_10dp"
                    android:background="@drawable/drawable_squarebg">
                    <Spinner
                        android:id="@+id/sploantype"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dimen_50dp"
                        android:ems="10"


                        android:padding="@dimen/dimen_10dp"
                        android:entries="@array/loantype"



                        />

                </LinearLayout>






<!--                <LinearLayout-->
<!--                    android:id="@+id/layoutloan"-->
<!--                    android:layout_width="match_parent"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_margin="@dimen/dimen_10dp"-->
<!--                    android:background="@drawable/drawable_squarebg">-->
<!--                    <Spinner-->
<!--                        android:id="@+id/spLoan"-->
<!--                        android:layout_width="match_parent"-->
<!--                        android:layout_height="@dimen/dimen_50dp"-->
<!--                        android:ems="10"-->

<!--                       -->





<!--                        />-->

<!--                </LinearLayout>-->

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">



                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/dimen_10dp"
                        android:layout_weight="0.2"
                        android:background="@drawable/drawable_squarebg">

                        <Spinner
                            android:id="@+id/spLoan"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/dimen_50dp"


                            android:hint="Insurance number"
                            android:paddingLeft="@dimen/dimen_10dp"
                            android:inputType="text"
                            />


                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:layout_weight="0.8">

                        <com.google.android.material.floatingactionbutton.FloatingActionButton
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:id="@+id/fabadd"
                            app:fabCustomSize="@dimen/dime_40dp"
                            app:srcCompat="@drawable/ic_add_"/>


                    </LinearLayout>



                </LinearLayout>



                <EditText
                    android:id="@+id/edtOpeningBalance"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dimen_50dp"
                    android:ems="10"
                    android:layout_margin="@dimen/dimen_10dp"
                    android:hint="Opening Balance"
                    android:textSize="@dimen/dimen_15sp"

                    android:inputType="numberDecimal"
                    android:gravity="right|center_vertical"
                    android:padding="@dimen/dimen_10dp"
                    android:background="@drawable/drawable_squarebg"
                    />



                <EditText
                    android:id="@+id/edtamount"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dimen_50dp"
                    android:ems="10"
                    android:layout_margin="@dimen/dimen_10dp"
                    android:hint="Amount to pay"
                    android:textSize="@dimen/dimen_15sp"

                    android:inputType="numberDecimal"
                    android:padding="@dimen/dimen_10dp"
                    android:background="@drawable/drawable_squarebg"
                    />


                <EditText
                    android:id="@+id/edtemiAmount"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dimen_50dp"
                    android:ems="10"
                    android:layout_margin="@dimen/dimen_10dp"
                    android:hint="EMI amount"
                    android:textSize="@dimen/dimen_15sp"

                    android:inputType="numberDecimal"
                    android:padding="@dimen/dimen_10dp"
                    android:background="@drawable/drawable_squarebg"
                    />

                <EditText
                    android:id="@+id/edtNoEmi"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dimen_50dp"
                    android:ems="10"
                    android:layout_margin="@dimen/dimen_10dp"
                    android:hint="Number of EMI"
                    android:textSize="@dimen/dimen_15sp"

                    android:inputType="number"
                    android:padding="@dimen/dimen_10dp"
                    android:background="@drawable/drawable_squarebg"
                    />


                <RelativeLayout
                    android:id="@+id/reldateMonth"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/dimen_10dp"
                    android:background="@drawable/drawable_squarebg">

                    <TextView
                        android:id="@+id/txtdateMonthpayment"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/dimen_15dp"
                        android:text="Date of payments"

                        android:textSize="@dimen/dimen_15sp" />

                    <ImageView
                        android:id="@+id/imgDateMonthpayment"
                        android:layout_width="@dimen/dimen_30dp"
                        android:layout_height="@dimen/dimen_30dp"
                        android:layout_centerVertical="true"

                        android:layout_marginRight="@dimen/dimen_30dp"
                        android:layout_alignParentRight="true"
                        app:srcCompat="@drawable/ic_calendar"/>


                </RelativeLayout>





                <RelativeLayout
                    android:id="@+id/reldatepick"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/dimen_10dp"
                    android:background="@drawable/drawable_squarebg">

                    <TextView
                        android:id="@+id/txtdatepayment"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/dimen_15dp"
                        android:textSize="@dimen/dimen_15sp"

                        android:text="Select closing date"/>

                    <ImageView
                        android:id="@+id/imgDatepayment"
                        android:layout_width="@dimen/dimen_30dp"
                        android:layout_height="@dimen/dimen_30dp"
                        android:layout_centerVertical="true"

                        android:layout_marginRight="@dimen/dimen_30dp"
                        android:layout_alignParentRight="true"
                        app:srcCompat="@drawable/ic_date_range_"/>


                </RelativeLayout>


                <RelativeLayout
                    android:id="@+id/relremindDate"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/dimen_10dp"
                    android:background="@drawable/drawable_squarebg">

                    <TextView
                        android:id="@+id/txtReminddate"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/dimen_15dp"
                        android:textSize="@dimen/dimen_15sp"

                        android:text="Select remind date"/>

                    <ImageView
                        android:id="@+id/imgRemind"
                        android:layout_width="@dimen/dimen_30dp"
                        android:layout_height="@dimen/dimen_30dp"
                        android:layout_centerVertical="true"

                        android:layout_marginRight="@dimen/dimen_30dp"
                        android:layout_alignParentRight="true"
                        app:srcCompat="@drawable/ic_calendar"/>


                </RelativeLayout>


<!--                <EditText-->
<!--                    android:id="@+id/edtremarks"-->
<!--                    android:layout_width="match_parent"-->
<!--                    android:layout_height="@dimen/dimen_120dp"-->
<!--                    android:ems="10"-->
<!--                    android:layout_margin="@dimen/dimen_10dp"-->
<!--                    android:hint="Remarks"-->
<!--                    android:textSize="@dimen/dimen_15sp"-->
<!--                   -->
<!--                    android:inputType="text"-->
<!--                    android:padding="@dimen/dimen_10dp"-->
<!--                    android:background="@drawable/drawable_squarebg"-->
<!--                    />-->

            </LinearLayout>

        </LinearLayout>




    </ScrollView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="0.7"
        android:orientation="vertical">





        <Button
            android:id="@+id/btnAdd"
            android:layout_width="@dimen/dimen_120dp"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/dimen_10dp"
            android:text="Save"
            android:textAllCaps="false"
            android:layout_gravity="center"
            android:background="@drawable/drawable_btnbg"
            android:textColor="@color/white"

            android:textSize="@dimen/dimen_15sp" />









<!--        <TextView-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:textSize="@dimen/dimen_15sp"-->
<!--            android:id="@+id/txtvisitlogin"-->
<!--           -->

<!--            android:padding="@dimen/dimen_4dp"-->

<!--            android:textColor="@android:color/black"-->
<!--            android:text="Visit/Login"-->
<!--            android:layout_margin="@dimen/dimen_4dp"-->
<!--            android:gravity="center" />-->


<!--        <TextView-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:textSize="@dimen/dimen_15sp"-->
<!--           -->

<!--            android:autoLink="web"-->

<!--            android:textColor="@android:color/black"-->
<!--            android:text="@string/visitsite"-->
<!--            android:layout_margin="@dimen/dimen_4dp"-->
<!--            android:gravity="center" />-->

    </LinearLayout>


</LinearLayout>

